OpenIsle Docs
API 概览
Send message POST
Api
Messages

# Send message

Send a direct message to a user

POST
/`api`/`messages`

## Authorization

Authorization Bearer <token>

In: `header`

## Request Body

recipientId?integer
Format `int64`
content?string
replyToId?integer
Format `int64`

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/messages" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "content": "string",
      "sender": {
        "id": 0,
        "username": "string",
        "avatar": "string",
        "bot": true
      },
      "conversationId": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "replyTo": {
        "id": 0,
        "content": "string",
        "sender": {
          "id": 0,
          "username": "string",
          "avatar": "string",
          "bot": true
        },
        "conversationId": 0,
        "createdAt": "2019-08-24T14:15:22Z",
        "replyTo": {},
        "reactions": [
          {
            "id": 0,
            "type": "LIKE",
            "user": "string",
            "postId": 0,
            "commentId": 0,
            "messageId": 0,
            "reward": 0
          }
        ]
      },
      "reactions": [
        {
          "id": 0,
          "type": "LIKE",
          "user": "string",
          "postId": 0,
          "commentId": 0,
          "messageId": 0,
          "reward": 0
        }
      ]
    }

Select medal POST

Previous Page

List conversations GET

Next Page

    curl -X POST "https://www.open-isle.com/api/messages" \
      -H "Content-Type: application/json" \
      -d '{}'